5-Support-Typescript-4-4

Support typescript 4.4